> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Product

> Search Products entries using various filters.




## OpenAPI

````yaml get /public/user/product/search
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/product/search:
    get:
      tags:
        - Product
      summary: Search Product
      description: |
        Search Products entries using various filters.
      parameters:
        - name: product_id
          in: query
          description: Unique identifier of the Product
          schema:
            type: string
        - name: product_type
          in: query
          description: Type associated with the Product
          schema:
            type: string
            enum:
              - credit
              - datacenter
              - isp
              - residential
              - mobile
        - name: product_protocol
          in: query
          description: Protocol associated with the Product
          schema:
            type: string
            enum:
              - ipv4
              - ipv6
              - dual
        - name: country_id
          in: query
          description: Country ID for the region of the product
          schema:
            type: string
        - name: product_is_active
          in: query
          description: Whether the Product is active
          schema:
            type: boolean
        - name: product_is_one_per_customer
          in: query
          description: Whether the Product is one per customer
          schema:
            type: boolean
        - name: product_is_one_active_per_customer
          in: query
          description: Whether the Product is one active per customer
          schema:
            type: boolean
        - name: product_is_per_ip
          in: query
          description: Whether the Product is one per IP
          schema:
            type: boolean
        - name: per_page
          in: query
          description: Number of items per page for pagination
          schema:
            type: integer
        - name: page
          in: query
          description: Page number for pagination
          schema:
            type: integer
        - name: sort_by
          in: query
          description: Key for sorting or random.
          schema:
            type: string
      responses:
        '200':
          description: Product search with stock successfully retrieved.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        country_id:
                          type: string
                          example: fr
                        product_creation_datetime:
                          type: string
                          format: date-time
                        product_description:
                          type: string
                          example: 'null'
                        product_id:
                          type: string
                          example: prod_RCLjwcUyqkfd2f
                        product_image:
                          type: string
                          example: >-
                            https://files.stripe.com/links/MDB8YWNjdF8xSDdkOEFCMkJVbHFpbTVsfGZsX2xpdmVfNU9KWUZCTnp4djA0dmpuV3F0bjM2ck9i00dSLST0rl
                        product_instock:
                          type: boolean
                          example: false
                        product_is_active:
                          type: boolean
                          example: true
                        product_is_available:
                          type: boolean
                          example: false
                        product_is_per_ip:
                          type: boolean
                          example: true
                        product_is_visible:
                          type: boolean
                          example: true
                        product_last_update_datetime:
                          type: string
                          format: date-time
                        product_name:
                          type: string
                          example: Static Residential ISP Proxies [FR]
                        product_prices:
                          type: array
                          items:
                            type: object
                            properties:
                              price_amount:
                                type: integer
                              price_cycle_interval:
                                type: string
                                example: month
                              price_cycle_interval_count:
                                type: integer
                                example: 1
                              price_id:
                                type: string
                                example: price_1QJx2EB2BUlqim5ltggZJfyY
                              price_is_subscription:
                                type: boolean
                                example: true
                              price_package_quantity:
                                type: integer
                              price_per_unit_amount:
                                type: integer
                              price_tier_type:
                                type: string
                                example: volume
                              price_tiers:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    price_tier_amount:
                                      type: integer
                                      example: 350
                                    price_tier_up_to:
                                      type: integer
                                      example: 1
                              price_type:
                                type: string
                                example: recurring
                        product_stock:
                          type: integer
                          example: 0
                        product_type:
                          type: string
                          example: isp
                  item_count:
                    type: integer
                    example: 1
                  message:
                    type: string
                    example: Product search with stock successfully completed.
                  page:
                    type: integer
                    example: 1
                  per_page:
                    type: integer
                    example: 100
                  total_count:
                    type: integer
                    example: 1
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````